V1.1.9 Wednesday, Oct 01, 2014
 +Fixed bug 120, position_history broken. We limit x & y with screen limit -100.
 +Fixed bug 124, Enter does not select entry.
 +Fixed bug 125, Unsolicited error message about xdotool.
 +Added feature request 57, change systray icon.
 +Updated Spanish translation by jcsl.
 +Updated Chinese translation by wenjie.
 +Fixed Bug 123, right-click edit broken.
 +Fixed unsolicited error message on startup (related to bug 125).
 +Cleaned up many warnings. Note to self: use env CFLAGS=-Wall ./configure --prefix=/usr/local
 +Initial attempt at fixing bugs 129/137/133 - unable to copy files in file manager & text deselection.
 +Attempt to clean up 'malformed email address' for Lintin.
 
V1.1.8 Thursday, July 3, 2014
 +Fixed bug 107, segfault when action key missing in parcelliterc.
 +Fixed bug 108, red search-as-you-type with super-K key.
 +Fixed bug 109, segfault when action key missing and history key changed.
 +Updated Russian translation.
 +Fix broken case-sensitive search.
 +Fixed bug 111, unlock a mutext not locked. 
 +Fixed history editing problem issue where history is updated while editing.
 +Added emphatic statement about xdotool on the autopaste tooltip.
 +Added pref_mapper that maps prefs to integer values so we don't have to string compares
  in main loop. Should decrease CPU cycles considerably in the ticker.
 +Added ability to use system-wide XDG config file on first startup.
 +Added dialog popup if auto-paste is checked and xdotool does not exist.
 +Added item_limit (which is the same thing as data_size) which limits per-item size.
 +Fixed syncronization bug when trim whitespace was selected and proccessed entry was already in history.
 +Fix of bug in write_fifo.
 +Fix item and data size to correct scaling, and change to KB for better granularity.
 +Fix bug 121, context menu stays up after history menu is deactivated.
 +Fix new bug with memory leak by destroying history menu every time, related to bug 121.
 +Fix minor bug where edit shows up on right-click even when user disabled it.
 +Fix bug where right-click-ctrl/shift did not delete history entries.
 
V1.1.7 Tuesday, October 15, 2013
 +Added remote i386 build and upload to sourceforge.
 +Fixed bug 100, pot doesn't contain <b> entries
 +Updated French translation.
 +Fixed duplicate empty string which causes errors in translations.
 +Final fix for bug 81.
 +Fix Duplicate Edit box when editing keyboard history entries (reported in bug 103 as sidenote).
 +Added Right-click edit option, to directly edit any history item, without it being current selection.
 +Fixed bug 102/feature request 49, low resolution icon.
 +Fixed history containing 0 length items.
 +Added ability to right-click edit each menu item (rather than Alt-E).
 +Fix part 1 of bug 104, Right-click edit with 0 len text results in blank entries on clip.
 +Fix part 2 of bug 104, crashing with right-click edit blank entries.
 +Changed append_item so it is not de-allocating/reallocating memory, instead just repositions entry in list.
 +Fixed two or more action keys having the same key.
 +Fix bug 105, failure to build with libappindicator.
 +WARNING: I've changed the data size limit to be in Kb, not Mb, as it was before. Adjust accordingly (multiply by 1000).
 +Added history mutex locking around each bit that accesses the global history menu.

V1.1.6 Thursday, August 1 2013
 +Fixed Bug #99, Broken CLI functionality. Now looks at XDG_SESSION_COOKIE, XDG_SEAT, and DISPLAY, introduced by multi-user fix.
 +Fixed bug where if fifo are not found in client mode, parcellite segfaults.
 +Apply patch for typo in German translation, patch #30.
 +Updated parcellite.pot (./extract_strings.sh).
 +Changed name of history file from hist.test to history (debug escape). To restore the history, Quit Parcellite, then cd to $HOME/.local/share/parcellite:   mv hist.test history
 +Added script to generate parcellite.pot & check in file, and gets run before each release from rel.sh.
 +Updated Brazilian Portuguese translation.
 
V1.1.5 Wednesday, July 17 2013
 +Added ppa script.
 +Updated German Translation from patch by Christoph Wickert.
 +Fixed bug 79, reverse order doesn't work.
 +Added fifo_cmd, and stop_all, run_all commands.
 +Fixed bug 82, Parcellite sometimes eats about twenty last characters from a an entry in history.
 +Fixed bug where item length reverts to 50 if > 75. Now uses DEF_ITEM_LENGTH_MAX.
 +Added Frame creation to add_section.
 +Tentative Fix for bug 81, Cannot run for  multiple users, on multiple X sessions.
 +Fixed bug 83, Ctrl+c/v does not work for blender.
 +Added automake rule to set svn version each time svn version is built.
 +Fixed svnversion to use local copy.
 +Added Clipboard standard usage notes to main.c.
 +Fixed Bug 85, Garbage in clipboard when app is closed.
 +Fixed Bug 86, Parcellite not putting history text in clipboard.
 +Fixed Bug 87,Error converting selection from UTF8_STRING fills X log.
 +Improved documentation for Actions.
 +Fix bug 88, Parcellite does not work with appindicator in Raring.
 +Fix bug 92, Ctrl-Shift/Right-Click followed by Clear produces SegFault/Double Free.
 +Added Keyboard Input feature.
 +Fixed bug #94, spam stdout with Looking for 'indicator-menu'.
 +Fixed bug 97, inkscape doesn't work (other objects besides text overwritten from clip).
 +Added Restore Empty option in preferences, and added -v/--version option.
 +Fixed bug 89, odd behaviour with gnome-terminal search. 
 +Fixed bug 91, gnome-terminal and deselect bug (again).
 +Fixed bug 96, entries with lots of tabs too wide/feature-request, alternate non-printing display.
 +Added debug_update preference (but currently disabled via DEBUG_UPDATE in parcellite.h.
 +Fixed GTK warning about GTK_IS_WIDGET/GTK_IS_WINDOW when history window closes.
 +Changed mulituser logic to look at owner of PID dir in /proc (added pid_to_uid).
 +Added XDG_SESSION_COOKIE check to see if we are in the same X session for multi-users.
 +Added gpg key for deb build (does not effect application).

 
V1.1.4 Saturday, January 19 2013
 Changes
 +Fixed Visual deselection bug where parcellite was doing unnecessary updates.
 +Changed appindicator usage. If indicator-appmenu is not strstr found, then use old status icon. 
   +This change should revert icon behaviour back to pre-libappindicator, for WMs that are not Unity.
 +Added History to popup menu when running Unity.
 +Removed Mutex locs for clipboard updates, commented out some debug prints.

V1.1.3 Thursday, January 17 2013
 Changes
 +Fixed persistent history so it is persistent if checked.
 +Changed all single lists to double.
 +Cleaned up prefs subsystem code in add_section.
 +Fixed corner case bug with persistent history moving to normal.
 +Fixed fifo segfault on parcellite fresh install.
 
V1.1.2 Thursday, January 17 2013 
 Changes
 +Added tooltips for Primary,copy, and syncronize options.
 +Fixed lockup bug recently introduced.
 +Fixed status icon showing up with -n in appindicator.
 +Changed Paste All to Copy All to clip.
 
V1.1.1 Wednesday, January 16 2013 
 Changes
 +Added Paste All on history item right-click.
 +Added Edit on history item right-click.
 +Fix Bug 3417225,Alt+c clear invoked when Ctrl+Alt+c is hotkey.
 +Fix Bug 2687052(re-introduced in rc7) that auto-deselects text in apps like LyX and DevHelp. SVN319 
 +Added tooltip for Action/Command column headers.
 +Fixed svnversion.sh so it shows correct svn revision
 +Added automatic paste via xdotool.
 +Added multiple items per line on preferences subsytem.
  
V1.1.0 Wednesday, January 16 2013 
 Changes
 ***This is a major release.***
 +Added patch 3389976 - history menu crash, utf-8
 +Added UTF-8 checks on incomming text streams.
 +Changed history entries to structures (and history file format) to support upcoming features.
 +Added persistent history list and corresponding hot key.
 +Added right-click either history list with a Move To or cancel.
 +Added Save As for the history file - writes a text file out.
 +Major rewrite of cliboard handling. It is now very simple and eliminates a lot of CPU overhead.
 +Fixed bug 3560995, mouse button events causing false searches.
 +Added appindicator so it appears in unity.
 +Completely re-wrote prefs sybsystem, so prefs are easier to add.
 +Fixed wide dialog, and quit instant activation.
 +Added current entry on to preference.
 +Added locking for clipboard updates.
 +Fixed lost clip entries when selecting existing history clip entries.
  
V1.0.2rc6 Wednesday, January 9 2013 
 Changes
 +Applied glib patch from bug 3518845
 +Applied 0 size Action file lockup from bug 3459123
 +Fixed arrow/home/page up keys messing up search-as-you-type.
 +Fixed having multiple copies of parcellite. Checks to see if already running.
 +Fixed double backspace on search-as-you-type.
 +Fixed command line copies to clipboard. Should work on all X sessions. 
   +Note: entry is not immediately added to clipboard. There is a 1/2 sec delay.
 
V1.0.2rc5  Friday, September 9 2011 
 Changes
 +Fixed the primary deselect and file cut/paste issue.
 
V1.0.2rc4  Monday, September 5 2011
 Changes
 +Fix bugs introduced in clipboard code selection. Should fix primary deselect and file cut/paste issue.
 +Applied FSF Address change patch from Andrew Starr-Bochicchio, Debian.
 +Changed history limit to 1000.
 +Applied build patch on new Debian boxes Andrew Starr-Bochicchio, Debian.

V1.0.2rc3	 Sunday, August 7 2011
 Changes
 +Fixed xdg compliance, based on patch by Victor Ananjevsky.
 +Fixed Status Icon missing on execute Action.
 +Fixed Capture Hyperlinks only
 +Added Ignore Whitespace only
 +Added Trim Whitespace
 +Added Trim Newlines
 +Fixed Actions having HTML markup in the clipboard entry.
 +Fixed goption warning.
 +Updated Russian (Alexander Kazancev).
 +Updated Catalan translation, position type. (Fuertes::Benjami)
 +cleaned up clipboard handling stuff, which broke primary selection.
 
V1.0.2rc2	 Tuesday, April 05 2011
 Changes
 +Fixed E, Alt-E (edit clipboard) not working bug.
 
V1.0.2rc1	 Thursday, March 24 2011
 Changes
 +Move configure.in to configure.ac, fix so just links with gtk+
 +Removed files autogenerated by automake tools.
 +Added auto-insert svn version for svn builds.
 +Changed item_length to go down to 5 and up to 100.
 +Changed Hot Keys so they activate on keypress.
 +Added Ctrl,Shift-delete functionality.
 +Added debian package build script.
 
V1.0.1 Thursday, March 9 2011
  Changes
 +Fixed build so dist-clean does not remove icons.
 +Added wrapper p_strcmp so it builds with Gtk <2.16

V1.0.0 Wednesday, March 2 2011
  Changes
  +Created new icon 'parcellite' and added it to install.
  +Moved newline to after elipsizing (thanks, Christian).
  +Added right-click delete.
  +Added history location
  +Added search as you type.
  +Added Data Size limt.

V0.9.3  Monday, December 20 2010
  Changes
  +Fixed 100% CPU bug that occurs with certain clipboard data.
  +Fixed list not staying at the top of the list.
  +Added patch that corrects clipboard losing text data when app closes.
  +Added more man page information.
  
V0.9.2  Friday, January 01 2010

  New
  + Danish translation (by Kim Jensen).
  + Czech translation (by Miloš Koutný).
  + French translation (by Vincent Coiffier).
  + Romanian translation (by Ovidiu D. Niţan).

  Changes
  + Modified action execution code.
  + Removed dependency on pthreads.
  + Clear option clears clipboard and primary contents.
  + Use accessor functions instead direct access (by Javier Jardon).
  + Add missing include statements to silence gcc warnings (by Ludwig Nussel).
  + Clipboard sync cannot be enabled unless both copy and primary are enabled.
  + Empty clipboard and primary recovery no longer overwrites contents of other types.
  + Removes newline characters ('\n') from the history menu entries (by Daniel Di Marco).

V0.9.1  Wednesday, March 18 2009

  New
  + Several new translations.
  + Print primary contents command line option.
  + Clipboard and primary synchronization (by Wolfgang Schnerring).
  
  Changes
  + Updated translations.
  + Eliminated redundant disk activity.
  + Control-click patch for actions menu.
  + Selected items are bumped to the top of the history.
  + Improved (once again) new clipboard/primary contents handling.
  + Piping clipboard contents no longer truncates new line character.
  + New Edit Clipboard dialog. Old dialog had strange behavior under different window managers.

V0.9   Thursday, November 20 2008

  New
  + Confirm clear option.
  + Parcellite menu hotkey.
  + Translated .desktop files.
  + Hungarian and turkish translation.
  + Support for managing x-selection (primary).
  + Prevent empty clipboard. Clipboard/Primary contents are backed up and recovered
    if they ever become NULL.
  
  Changes
  + Fixed/updated daemon mode.
  + Changed preferences dialog.
  + Changed actions preferences to use GtkTreeView's built in editing mode.
  + Fixed bug with icon showing up in --no-icon mode when you execute an action.
  + Fixed parcellite-startup.desktop to include "Type=Application" to prevent
    desktop-file-validate from failing.

V0.8   Monday, August 11 2008

	New
	+ Daemon mode.
	+ Reverse history option.
	+ Internationalization support.
	+ German, Russian, Italian and Spanish translations.
	+ No-icon option (uses Ctrl-Alt-P for the menu).
	
	Changes
	+ Menu generation and display is quicker.
	+ Selected items also get copied to primary.
	+ History shows newest item first by default.
	+ Performance and overall improvement on action executions.

V0.7  Sunday, March 30 2008

	New
	+ Added man page.
	+ Option to disable/enable saving history.

	Changes
	+ Removed startup option.
	+ Performance improvements.
	+ Runs at startup by default in GNOME (remove via GNOME's Sessions application).
	+ Config now saves in ~/.config/parcellite following freedesktop.org specifications.
	+ Data now saves in ~/.local/share/parcellite following freedesktop.org specifications.
	+ Bugfix: Assertion error on first run.

V0.6.1  Sunday, February 24 2008

	Changes
	+ Renamed uninstall.py to uninstall-pre-0.5.py to clear up that it
	  only uninstalls pre-0.5 versions of parcellite.
	+ Bugfix: Edit clipboard window skipping taskbar prevented quitting
	  if it was open and the window manager minized all windows.

V0.6  Sunday, February 03 2008

	New
	+ Added global hotkeys for history and actions menu.
	  <Ctrl><Alt>C for clipboard and <Ctrl><Alt>A for actions by default.

	Changes
	+ Changed icon tooltip text to generic "Clipboard Manager."
	+ Added additional verbose comments in code.
	+ Bugfix: Edit clipboard not destroying window when finished.

V0.5.1  Monday, January 21 2008

	Changes
	+ Fixed memory leak.

V0.5  Saturday, January 19 2008

	Notes
	+ Remove your old .parcellite directory when upgrading to this version.
	+ Run "python uninstall.py" as root to uninstall pre-0.5 versions of parcellite.

	New
	+ Translated to C. Faster, leaner, etc.
	+ Parcellite now features command line access to the clipboard. Example uses:
	  	echo "Hello World" | parcellite   (copies Hello World to clipboard)
	  	parcellite Hello World   (copies Hello World to clipboard)
	  	parcellite -o   (prints clipboard contents)
	  	echo "Hello World" | parcellite -o   (copies Hello World to clipboard and prints it)
	
	Changes
	+ Added icon in about dialog.
	+ Allow multiple instances (though I don't see why you would; could experience problems).

V0.4.1  Thursday, December 13 2007

	+ Updated how items get captured.
	+ Bugfix: Files couldn't save if .parcellite folder was deleted while Parcellite was running.
	+ Bugfix: Clear was emptying clipboard contents.

V0.4  Thursday, November 15 2007

	New feature: Clipboard Actions
	+ Control-clicking the tray icon brings up the new actions menu for quick shell commands
	  using the clipboard contents (similar but simpler than Klipper actions).
	
	Changes
	+ Added new control-click menu (actions) to the tray icon.
	+ Added new tab in the preferences dialog for editing actions.
	+ Minor changes to some GTK+ code, mostly variable name changes and cleanup.

V0.3.2  Thursday, November 08 2007

	+ Minor changes to conform to Debian policies.

V0.3.1  Thursday, November 01 2007

	+ Fixed typo.

V0.3  Thursday, November 01 2007

	+ Added various options to change the way items are displayed.

V0.2  Friday, October 05 2007
	
	+ Removed dependancy on glade.
	+ Bugfix: Quit with open dialogs produced strange behaviour because the app does not
	  have a main window.

V0.1  Wednesday, September 19 2007

	+ First release.
